# std::filesystem::path::swap

From cppreference.com
< cpp‎ | filesystem‎ | path

void swap( path& other ); | (1) | (since C++17)

Swaps the contents of *this and `other`.

### Parameters

other | - | another path to exchange the contents with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

swap(std::filesystem::path) | swaps two paths (function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/swap&oldid=91465"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template